> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Billing usage

> List session usage with bounded cursor pagination.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/billing/usage
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/billing/usage:
    get:
      tags:
        - Billing
      summary: List Billing usage
      description: List session usage with bounded cursor pagination.
      operationId: listBillingUsage
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
            minLength: 1
            maxLength: 255
        - in: query
          name: limit
          schema:
            type: string
            pattern: ^\d+$
            default: '25'
      responses:
        '200':
          description: List Billing usage
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          minLength: 1
                          maxLength: 255
                        title:
                          type: string
                        kind:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        managedInferenceCredits:
                          type: number
                          minimum: 0
                        computeCredits:
                          type: number
                          minimum: 0
                        totalCredits:
                          type: number
                          minimum: 0
                      required:
                        - id
                        - title
                        - kind
                        - createdAt
                        - managedInferenceCredits
                        - computeCredits
                        - totalCredits
                      additionalProperties: false
                    maxItems: 100
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    minLength: 1
                    maxLength: 255
                  asOf:
                    type: string
                    format: date-time
                required:
                  - items
                  - nextCursor
                  - asOf
                additionalProperties: false
        '400':
          description: Invalid request or missing Billing scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Billing resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Billing operation conflicts with its current state
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Billing provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````